Debian Bug report logs - #125947
uxterm: wrong handling of LANG variable

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Tomohiro KUBOTA <tkubota@riken.go.jp>

Date: Thu, 20 Dec 2001 15:48:00 UTC

Severity: normal

Tags: patch, pending, upstream

Found in version 4.1.0-11

Fixed in version xfree86/4.1.0-12

Done: Branden Robinson <branden@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>:
Bug#125947; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Tomohiro KUBOTA <tkubota@riken.go.jp>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tomohiro KUBOTA <tkubota@riken.go.jp>
To: submit@bugs.debian.org
Subject: uxterm: wrong handling of LANG variable
Date: Fri, 21 Dec 2001 00:46:50 +0900
Package: xterm
Version: 4.1.0-11

Even if LANG variable already has ".encoding" part, /usr/bin/X11/uxterm
script adds ".UTF-8" after that.  This causes LANG variable to be
illegal.  For example, invoking uxterm in LANG=ja_JP.eucJP causes
LANG=ja_JP.eucJP.UTF-8 instead of LANG=ja_JP.UTF-8 .

The fix is easy.

--- /usr/bin/X11/uxterm	Mon Dec 10 19:35:34 2001
+++ ./uxterm-new	Fri Dec 21 00:40:20 2001
@@ -30,7 +30,7 @@
 # user's shell does not reset unknown locale specifiers, but not all shells do.
 if test $found != yes ; then
 	if test -n "$value" ; then
-		eval ${name}=${value}.UTF-8
+		eval ${name}=${value%%.*}.UTF-8
 		eval export ${name}
 	else
 		LC_CTYPE=en_US.UTF-8

---
Tomohiro KUBOTA <kubota@debian.org>
http://www.debian.or.jp/~kubota/
"Introduction to I18N"  http://www.debian.org/doc/manuals/intro-i18n/



Tags added: patch Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Tomohiro KUBOTA <tkubota@riken.go.jp>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #18 received at 125947-close@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 125947-close@bugs.debian.org
Subject: Bug#125947: fixed in xfree86 4.1.0-12
Date: Thu, 10 Jan 2002 15:19:52 -0500
We believe that the bug you reported is fixed in the latest version of
xfree86, which has been installed in the Debian FTP archive:

lbxproxy_4.1.0-12_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.1.0-12_i386.deb
libdps-dev_4.1.0-12_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.1.0-12_i386.deb
libdps1-dbg_4.1.0-12_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.1.0-12_i386.deb
libdps1_4.1.0-12_i386.deb
  to pool/main/x/xfree86/libdps1_4.1.0-12_i386.deb
libxaw6-dbg_4.1.0-12_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.1.0-12_i386.deb
libxaw6-dev_4.1.0-12_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.1.0-12_i386.deb
libxaw6_4.1.0-12_i386.deb
  to pool/main/x/xfree86/libxaw6_4.1.0-12_i386.deb
libxaw7-dbg_4.1.0-12_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.1.0-12_i386.deb
libxaw7-dev_4.1.0-12_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.1.0-12_i386.deb
libxaw7_4.1.0-12_i386.deb
  to pool/main/x/xfree86/libxaw7_4.1.0-12_i386.deb
proxymngr_4.1.0-12_i386.deb
  to pool/main/x/xfree86/proxymngr_4.1.0-12_i386.deb
twm_4.1.0-12_i386.deb
  to pool/main/x/xfree86/twm_4.1.0-12_i386.deb
x-window-system-core_4.1.0-12_all.deb
  to pool/main/x/xfree86/x-window-system-core_4.1.0-12_all.deb
x-window-system_4.1.0-12_all.deb
  to pool/main/x/xfree86/x-window-system_4.1.0-12_all.deb
xbase-clients_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.1.0-12_i386.deb
xdm_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xdm_4.1.0-12_i386.deb
xfonts-100dpi-transcoded_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.1.0-12_all.deb
xfonts-100dpi_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.1.0-12_all.deb
xfonts-75dpi-transcoded_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.1.0-12_all.deb
xfonts-75dpi_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.1.0-12_all.deb
xfonts-base-transcoded_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.1.0-12_all.deb
xfonts-base_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfonts-base_4.1.0-12_all.deb
xfonts-cyrillic_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.1.0-12_all.deb
xfonts-pex_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfonts-pex_4.1.0-12_all.deb
xfonts-scalable_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.1.0-12_all.deb
xfree86-common_4.1.0-12_all.deb
  to pool/main/x/xfree86/xfree86-common_4.1.0-12_all.deb
xfree86_4.1.0-12.diff.gz
  to pool/main/x/xfree86/xfree86_4.1.0-12.diff.gz
xfree86_4.1.0-12.dsc
  to pool/main/x/xfree86/xfree86_4.1.0-12.dsc
xfs_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xfs_4.1.0-12_i386.deb
xfwp_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xfwp_4.1.0-12_i386.deb
xlib6g-dev_4.1.0-12_all.deb
  to pool/main/x/xfree86/xlib6g-dev_4.1.0-12_all.deb
xlib6g_4.1.0-12_all.deb
  to pool/main/x/xfree86/xlib6g_4.1.0-12_all.deb
xlibmesa-dev_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.1.0-12_i386.deb
xlibmesa3-dbg_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.1.0-12_i386.deb
xlibmesa3_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.1.0-12_i386.deb
xlibosmesa-dev_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.1.0-12_i386.deb
xlibosmesa3-dbg_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibosmesa3-dbg_4.1.0-12_i386.deb
xlibosmesa3_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibosmesa3_4.1.0-12_i386.deb
xlibs-dbg_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibs-dbg_4.1.0-12_i386.deb
xlibs-dev_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibs-dev_4.1.0-12_i386.deb
xlibs-pic_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibs-pic_4.1.0-12_i386.deb
xlibs_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xlibs_4.1.0-12_i386.deb
xmh_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xmh_4.1.0-12_i386.deb
xnest_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xnest_4.1.0-12_i386.deb
xprt_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xprt_4.1.0-12_i386.deb
xserver-common_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xserver-common_4.1.0-12_i386.deb
xserver-xfree86_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.1.0-12_i386.deb
xspecs_4.1.0-12_all.deb
  to pool/main/x/xfree86/xspecs_4.1.0-12_all.deb
xterm_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xterm_4.1.0-12_i386.deb
xutils_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xutils_4.1.0-12_i386.deb
xvfb_4.1.0-12_i386.deb
  to pool/main/x/xfree86/xvfb_4.1.0-12_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 125947@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Branden Robinson <branden@debian.org> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  9 Jan 2002 13:06:44 -0500
Source: xfree86
Binary: xserver-common xlibs-dev xfs xfree86-common xfonts-pex x-window-system xlibmesa-dev xspecs xlibmesa3 xfonts-cyrillic xlibmesa3-dbg xserver-xfree86 xlibs-dbg libxaw6 libxaw7 xterm xvfb xfonts-scalable xfonts-75dpi xlib6g proxymngr libxaw6-dev xlibs-pic libdps1-dbg xlib6g-dev xfonts-base xutils libxaw7-dev xnest xlibs libxaw6-dbg xmh lbxproxy libxaw7-dbg xfonts-base-transcoded xbase-clients xprt xlibosmesa3 x-window-system-core xlibosmesa-dev twm xfwp xfonts-100dpi-transcoded xlibosmesa3-dbg xfonts-100dpi xdm libdps-dev xfonts-75dpi-transcoded libdps1
Architecture: source all i386
Version: 4.1.0-12
Distribution: unstable
Urgency: low
Maintainer: Branden Robinson <branden@debian.org>
Changed-By: Branden Robinson <branden@debian.org>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6) (unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-pex - fonts for minimal PEX support in X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlib6g     - pseudopackage providing X libraries
 xlib6g-dev - pseudopackage providing X library development files
 xlibmesa-dev - XFree86 version of Mesa 3D graphics library development files
 xlibmesa3  - XFree86 version of Mesa 3D graphics library
 xlibmesa3-dbg - XFree86 version of Mesa 3D graphics library (unstripped)
 xlibosmesa-dev - Mesa/XFree86 off-screen rendering library development files
 xlibosmesa3 - Mesa/XFree86 off-screen rendering library
 xlibosmesa3-dbg - Mesa/XFree86 off-screen rendering library (unstripped)
 xlibs      - X Window System client libraries
 xlibs-dbg  - X Window System client libraries (unstripped)
 xlibs-dev  - X Window System client library development files
 xlibs-pic  - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 31398 79369 87279 88284 88357 101456 106605 117171 117184 122109 123308 123341 123342 123344 123784 125549 125834 125865 125933 125947 126339 126671 126672 127924 127966
Changes: 
 xfree86 (4.1.0-12) unstable; urgency=low
 .
   * patch #000_post-410: more fixes from xf-4_1-branch:
     + Fix a bug in readPciBIOS() that was causing incorrect values to be
       written back to the PCI config space (#5109, Luugi Marsan).
     + Fix twm core dump if no locales are present (#4902, Johnathan Kamens)
 .
   * patch #000_stolen_from_HEAD:
     + Gerd Knorr's v4l fixes (memPhysBase issues in r128 and radeon drivers,
       and correct handling of multiple v4l devices) (Closes: #125865)
     + Default *sampleText*international to false in xfontsel's app-defaults
       file, since it breaks if the user has '*international: true' (#4842,
       Juliusz Chroboczek). (Closes: #126672)
     + Remove OS dependency from vgaHW.c, fixing colormap restoration on the
       Hurd. (Closes: #106605)
 .
   * patch #000_stolen_from_HEAD_xterm: xterm patch #165
     + modify "uxterm" script to strip encoding part from environment
       variable before adding ".UTF-8" (based on Debian #125947, but
       using a more portable solution). (Closes: #125947)
     + add an assignment statement in VTInitialize() to make "awaitInput"
       resource work.
     + use new macros init_Bres(), etc., in VTInitialize() to add trace of
       the initialization of resources.
     + modify checks for $LC_ALL, related environment variables to ensure
       the resulting strings are nonempty (report by Markus Kuhn).
     + add an ifdef in charproc.c for num_ptrs variable in case all
       configure options are disabled.
     + modify definition of getXtermBackground() to avoid negative array
       index warning on Tru64 (report by Jeremie Petit).
     + improve fix from patch #165 (still Debian #117184, report by Matt
       Zimmerman <mdz@debian.org>) (Closes: #117184)
     + correct install rule for uxterm in Makefile.in, to handle the case
       where building in a different directory than xterm's source (patch by
       Paul Gilmartin).
     + documented ANSI.SYS-style cursor save/restore escape sequences in
       ctlseqs.ms, which are in xterm since X11R5.
     + correct two entries in the default charClass table, which did not
       follow the manpage comment about the character number corresponding
       to the class (patch by Marc Bevand <bevand_m@epita.fr>).
     + fix a couple of typos in comments in the app-defaults files (David
       Krause <xfree86@davidkrause.com>).
     + Modify UXTerm.ad's font5 resource so that xterm can display double
       width characters using a font distributed with XFree86 (#4962, Tomohiro
       KUBOTA). (Closes: #122109)
     + Restore a comparison to zero in getXtermBackground() still needed
       because some other parts of the code may pass a negative number.
     + Modify getXtermForeground() to also compare against MAXCOLORS so the two
       macros make similar range checks.
     + Also, add a couple of null-pointer checks to _GetSelection(), found in
       the trace-code while debugging the problem with getXtermBackground().
 .
   * patch #052: update Imakefile to actually be cognizant of new "alt" symbols
     file from -9 (thanks, Jochen Voss) (Closes: #125933)
   * patch #058: new; manpages for ccmakedep, cleanlinks, gccmakedep, mergelib,
     and mkhtmlindex, courtesy of Colin Watson (Closes: #31398)
   * patch #059: new; install bdftruncate and ucs2any binaries without .pl
     extension, include manpages for them, and fix a typo in bdftruncate's
     usage message (Closes: #101456)
   * patch #060: new; install dynamic server modules with nonexecutable file
     mode (Closes: #88284)
   * patch #061: new; updates to Xserver(1) manual page
   * patch #062: new; fixes to proxymngr(1) manual page (Closes: #87279)
   * patch #251: new; Erik van Roode's m68k module loader fix
   * patch #450: new; Alex Williamson's ia64 patch to avoid programmed I/O in
     the ATI driver (Closes: #125834)
   * patch #907: resynced with patch #000_stolen_from_HEAD_xterm
 .
   * debian/MANIFEST.*: updated to reflect new alt symbols file, new manpages,
     renamed bdftruncate and ucs2any executables, and removed configlet
   * debian/control:
     - correct typo in xlibs-dev's extended description (Closes: #125549)
     - xutils Replaces: xlibs-dev (<< 4.1.0-12) (see below)
   * debian/local/FAQ: added question "How do I add custom sections to a
     dexconf-generated XF86Config or XF86Config-4 file?"
   * debian/local/dexconf:
     - write out BusID parameter to XF86Config-4 files, if the template has a
       non-null value
     - remove rewriting of auto-detected /dev/input/mouse0 mouse port as
       /dev/input mice (code moved to xserver config scripts)
     - write out Mono, VGA2, and VGA16 Screen sections to version 3 XF86Config
       files
     - cannot use glob expansion anymore when writing version 3 XF86Config
       (Closes: #126339)
   * debian/local/update-fonts-{alias,dir,scale}: issue more warnings when
     these commands are misused
   * debian/local/xserver-wrapper.c: fix logic that was supposed to also allow
      unprivileged use of "-version" option but which actually forbade both
      "-showconfig" and "-verbose"; also let unprivileged users specify "-help"
      option to get a usage message
   * debian/rules:
     - gar, install xserver-xfree86 bug file in the correct rules
     - comment out install of configlet, since the configlet API has changed
   * debian/shell-lib.sh: add font_update() function to simplify font package
     maintainer scripts
   * debian/xdm.pam: remove reference to "pam_condev.so", since at this point
     it is unlikely that this Progeny-authored package will ever be uploaded to
     Debian (Closes: #127924)
   * debian/xfonts-{{100dpi,75dpi,base}{,-transcoded},cyrillic,scalable}.
     {postinst,postrm}.in: use new font_update function in shell-lib.sh
   * debian/xlibs.{conffiles,files*}: really ship new alt symbols file
   * debian/xlibs-dev.files*: stop shipping contents of
     /usr/X11R6/lib/X11/config
   * debian/xserver-common.files: temporarily removed the following files:
     - usr/share/configlets/xserver-common/desktop.xpm
     - usr/share/configlets/xserver-common/main.glade
     - usr/share/configlets/xserver-common/main.py
     - usr/share/configlets/xserver-common/monitor.xpm
     - usr/share/configlets/xserver-common/pointer.xpm
     - usr/share/configlets/xserver-common/videocard.xpm
     - usr/share/configlets/xserver-common/xserver.xpm
   * debian/xserver-common.templates.pt_BR: updated Brazilian Portuguese
     translation (thanks, Andre Luis Lopes) (Closes: #123342)
   * debian/xserver-xfree86.config:
     - fix broken migration from "Expert" to "Advanced" in monitor
       selection-method template
     - enable user to bypass video card, mouse, and monitor autodetection
       when the tools to perform them are installed
       (Closes: #79369, #88357, #117171)
     - populate driver list by scanning contents of server module directory, if
       possible (thanks, David Engel) (Closes: #123344)
     - enable user to specify BusID of primary video card (important for
       PowerPC and multihead users)
     - if /proc/fb does not exist but use_fbdev has already been set to true,
       force it to false (thanks, Roland Mas)
     - rewrite auto-detected /dev/input/mouse0 mouse port as /dev/input mice
       (code moved from dexconf)
     - skip monitor autodetection if horiz sync and vert refresh questions have
       answers, not just if they are seen
     - call db_go after db_input on LCD question (oops)
     - throw away a null monitor identifier from get-edid
     - (even) more verbose debugging output
   * debian/xserver-xfree86.templates:
     - added autodetect_{video_card,mouse,monitor} templates
     - removed retry_mouse_autodetection template
     - updated wording in config/device/driver template (Closes: #127966)
     - added config/device/bus_id template
     - added more information to config/monitor/mode-list template
     - correct typo in template description (thanks, Marius Gedminas)
       (Closes: #123308)
     - correct more typos in template description (thanks, Pete Lypkie)
       (Closes: #123784)
   * debian/xserver-xfree86.templates.pt_BR: updated Brazilian Portuguese
     translation (thanks, Andre Luis Lopes) (Closes: #123341)
   * debian/xutils.links: remove all links to undocumented(7) manpage
   * debian/xutils.files*:
     - ship new bdftruncate, ccmakedep, cleanlinks, gccmakedep, mergelib,
       mkhtmlindex, and ucs2any manpages
     - ship {bdftruncate,ucs2any} executables, not {bdftruncate,ucs2any}.pl
     - ship contents of /usr/X11R6/lib/X11/config (Closes: #126671)
Files: 
 074fb53f3a66045a85b0fc5871c88f0b 1543 x11 optional xfree86_4.1.0-12.dsc
 cb5509597d0f0dbe8fb2e78e0b1fa116 1437350 x11 optional xfree86_4.1.0-12.diff.gz
 3c033fcc548835be222492a2a410ae98 126568 x11 optional lbxproxy_4.1.0-12_i386.deb
 15b8728662092dcc39f8dcf675dfe2f9 162330 libs optional libdps1_4.1.0-12_i386.deb
 c955cb22e9f3889f6f457e22876ef213 403380 devel extra libdps1-dbg_4.1.0-12_i386.deb
 13de64749e95a8aea60cae5561d7bf0e 223540 devel optional libdps-dev_4.1.0-12_i386.deb
 4c025a661dc921c6d6eedc6bcb722eb1 160364 libs optional libxaw6_4.1.0-12_i386.deb
 6d6dd44814c05e6d277c314a3f7a446a 328262 devel extra libxaw6-dbg_4.1.0-12_i386.deb
 87eccf247a7fd7e0c71dcc8279b6e755 286494 devel extra libxaw6-dev_4.1.0-12_i386.deb
 fcc0ad48d007ddd50ed8ae9e39264f2e 207130 libs optional libxaw7_4.1.0-12_i386.deb
 2afaab554b529863e94e6211f1a1047a 427726 devel extra libxaw7-dbg_4.1.0-12_i386.deb
 40bb7c548fd353ad775b7234ff36c94b 286386 devel optional libxaw7-dev_4.1.0-12_i386.deb
 d21b9359e6ebaf8cfb9f6d18d152995f 70326 x11 optional proxymngr_4.1.0-12_i386.deb
 2da50c5c3dbcef966aae85975e381153 145564 x11 optional twm_4.1.0-12_i386.deb
 f43dcb1180d6ff0335da650bc92069e1 1451638 x11 optional xbase-clients_4.1.0-12_i386.deb
 f6999ef1dbbe13d32a87fc8a6b9509b4 161730 x11 optional xdm_4.1.0-12_i386.deb
 940c2f42997a2390c78593858f0d3e36 269490 x11 optional xfs_4.1.0-12_i386.deb
 6df35f4d6ac689505e2a5238674830ab 74844 x11 optional xfwp_4.1.0-12_i386.deb
 8b06ac25365202c64e8f982011c91da2 3416098 libs optional xlibmesa3_4.1.0-12_i386.deb
 8410757de033d7febaf4ec9b3454257c 859720 devel extra xlibmesa3-dbg_4.1.0-12_i386.deb
 e813924649b82e85307a56c4894ba26f 546432 devel optional xlibmesa-dev_4.1.0-12_i386.deb
 a5cf859396f9c1b366866515d2a4a8d0 456558 libs optional xlibosmesa3_4.1.0-12_i386.deb
 3c85300c25ed0f0fe784e6328704d31b 958148 devel extra xlibosmesa3-dbg_4.1.0-12_i386.deb
 7e3b04e9786dad2c63861b1864d25040 516270 devel optional xlibosmesa-dev_4.1.0-12_i386.deb
 087de8f5d08f7fc5dc4c2dbc5fd729c8 1217810 libs optional xlibs_4.1.0-12_i386.deb
 37ed7670abee93c10bec675652a207b3 2529412 devel extra xlibs-dbg_4.1.0-12_i386.deb
 be78a9f586ec587f549838d03b855f88 2718180 devel optional xlibs-dev_4.1.0-12_i386.deb
 d5b2b3cfc5f196a43544b21334e911a5 67288 devel optional xlibs-pic_4.1.0-12_i386.deb
 b3d15d3f5a91c111842d9dafecff9e77 118394 mail extra xmh_4.1.0-12_i386.deb
 18c723b7c224becc824edc9e2edb5e8a 1387342 x11 optional xnest_4.1.0-12_i386.deb
 2f8161a760674e859629eb8645f9652c 1116906 x11 optional xprt_4.1.0-12_i386.deb
 870d372a597f43be543edea7031cf508 92804 x11 optional xserver-common_4.1.0-12_i386.deb
 1ad303a07263b22507e67ceb14920683 4268058 x11 optional xserver-xfree86_4.1.0-12_i386.deb
 d8d373eefd6c9400c3a3614afeb763d1 451208 x11 optional xterm_4.1.0-12_i386.deb
 b8f61cff97bcbc83f61ad61da48b24dc 405386 x11 optional xutils_4.1.0-12_i386.deb
 9f5c05e501f9cb550d4bdbd766b5f7c0 1489966 x11 optional xvfb_4.1.0-12_i386.deb
 7b98acf49c317d1d26aad90983c8bffb 4252694 x11 optional xfonts-100dpi_4.1.0-12_all.deb
 25e1434cd43cc9b81bb6c148b336feea 8083738 x11 optional xfonts-100dpi-transcoded_4.1.0-12_all.deb
 db32565f789914b7f912a06335b21526 3730524 x11 optional xfonts-75dpi_4.1.0-12_all.deb
 a6e5fc4e3629f8665a79be6804e46751 6960392 x11 optional xfonts-75dpi-transcoded_4.1.0-12_all.deb
 8be7ad013f5683c28572324635ce41e5 4974096 x11 optional xfonts-base_4.1.0-12_all.deb
 d38e450d545fe5659f4667225f7fbb9e 1093088 x11 optional xfonts-base-transcoded_4.1.0-12_all.deb
 923e2debfe4ca23b7ee0a9896912446d 425992 x11 optional xfonts-cyrillic_4.1.0-12_all.deb
 0bac559149038e128d7c6795a9c2c1c7 62554 x11 optional xfonts-pex_4.1.0-12_all.deb
 2d6b71a73930fd5b768882dd6638964e 790074 x11 optional xfonts-scalable_4.1.0-12_all.deb
 62e65507006e2caf130d626b48b80820 536346 x11 optional xfree86-common_4.1.0-12_all.deb
 25f132ce68f205ddc4375efbe9bfafc9 4158654 x11 optional xspecs_4.1.0-12_all.deb
 05cf4f3dca58c09f1013b4082e086b08 54312 libs optional xlib6g_4.1.0-12_all.deb
 b3aec744be28e438521352fad812a7e0 54116 devel optional xlib6g-dev_4.1.0-12_all.deb
 96df3de95ef29a5c427ae38a42f9085c 54304 x11 optional x-window-system-core_4.1.0-12_all.deb
 fce37c343f3981919c9e537bd949be7d 54154 x11 optional x-window-system_4.1.0-12_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org

iEYEARECAAYFAjw8mYMACgkQ6kxmHytGonw4ZwCfRT3dCBLB+V0cdJ6G1OXMaYWs
VqMAmgLTz4zKZhGGjjXxEbzksNc6mi/h
=xjTS
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 06:53:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.